///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 10/19/04 Creation time: 14:48:59
//
//  Contents  :
//    This file contains the basic structure for the utilization-level of
//    a form. It may (and sould) be modified.
//
///////////////////////////////////////////////////////////////////////////////

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"
#include "inkey.ch"
#include "Dmlb.ch"
#include "Appedit.ch"
#include "dbstruct.ch"
#include "Nls.ch"


******************************************************************************
* This class is derived from the implementation-level class of the form.
* Instance variables are declared in the _SingleEntry class.
******************************************************************************
CLASS SingleEntry FROM _SingleEntry
   EXPORTED:
      METHOD init,destroy
      METHOD create,Keyboard
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD SingleEntry:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Execute method of the super class
   ::_SingleEntry:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::maxButton:= .F.
   ::minButton:= .F.
   ::MoveWithOwner := .T.
   ::Close := {||::Destroy()}
//   AADD(oOwner:OwnedList,Self)   // add to owners ownedlist 
RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD SingleEntry:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Execute method of the super class
   ::_SingleEntry:create( oParent, oOwner, aPos, aSize, aPP, lVisible )


   * Display the form
   ::show() 
   SetAppFocus(::Entry)

RETURN self

METHOD SingleEntry:Destroy()
Local I
   ::_SingleEntry:destroy()
RETURN self   

METHOD SingleEntry:Keyboard(nKey) 
   DO CASE
      CASE nKey = K_ESC   
         EVAL(::Close,NIL,NIL,Self)
      OTHERWISE
         ::XbpDialog:Keyboard(nKey)
   ENDCASE   
   
RETURN self   

* Include program code for the implementation-level class of the form
#define XbpDialog JimsDialog
#define XbpSLE SLEPic
#ifdef FANCYBUTTONS
#define XbpPushButton ShadowButton 
#endif
#include "_SINGLEENTRY.PRG"

//EOF
/////